Package org.optaplanner.core.impl.domain.policy

## Class DescriptorPolicy

- java.lang.Object
- - org.optaplanner.core.impl.domain.policy.DescriptorPolicy

-     public class DescriptorPolicy
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DescriptorPolicy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFromEntityValueRangeProvider​(MemberAccessor memberAccessor)` |
    `void` | `addFromSolutionValueRangeProvider​(MemberAccessor memberAccessor)` |
    `DomainAccessType` | `getDomainAccessType()` |
    `MemberAccessor` | `getFromEntityValueRangeProvider​(String id)` |
    `MemberAccessor` | `getFromSolutionValueRangeProvider​(String id)` |
    `Collection<String>` | `getValueRangeProviderIds()` |
    `boolean` | `hasFromEntityValueRangeProvider​(String id)` |
    `boolean` | `hasFromSolutionValueRangeProvider​(String id)` |
    `void` | `setDomainAccessType​(DomainAccessType domainAccessType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DescriptorPolicy

          public DescriptorPolicy()

  - ### Method Detail

    - #### addFromSolutionValueRangeProvider

          public void addFromSolutionValueRangeProvider​(MemberAccessor memberAccessor)

    - #### hasFromSolutionValueRangeProvider

          public boolean hasFromSolutionValueRangeProvider​(String id)

    - #### getFromSolutionValueRangeProvider

          public MemberAccessor getFromSolutionValueRangeProvider​(String id)

    - #### addFromEntityValueRangeProvider

          public void addFromEntityValueRangeProvider​(MemberAccessor memberAccessor)

    - #### hasFromEntityValueRangeProvider

          public boolean hasFromEntityValueRangeProvider​(String id)

    - #### getDomainAccessType

          public DomainAccessType getDomainAccessType()

      Returns:
        never null

    - #### setDomainAccessType

          public void setDomainAccessType​(DomainAccessType domainAccessType)

    - #### getFromEntityValueRangeProvider

          public MemberAccessor getFromEntityValueRangeProvider​(String id)

    - #### getValueRangeProviderIds

          public Collection<String> getValueRangeProviderIds()